#!/usr/bin/perl -w

use strict;

my %first_dispatch_table = (
  foo_sub => sub { print "Foo operation, first dispatch table.\n" },
  bar_sub => sub { print "Bar operation, first dispatch table.\n" }
);

my %second_dispatch_table = (
  foo_sub => sub { print "Foo operation, second dispatch table.\n" },
  bar_sub => sub { print "Bar operation, second dispatch table.\n" }
);

# Retrieve the desired implementation subroutine.
my $implementation_sub;

if (@ARGV == 1) {
  if ($ARGV[0] eq "first") {
    $implementation_sub = $first_dispatch_table{foo_sub};
  } elsif ($ARGV[0] eq "second") {
    $implementation_sub = $second_dispatch_table{foo_sub};
  }
}

die "Cannot find implementation.\n" if !defined($implementation_sub);

# Dispatch the call.
$implementation_sub->();
