/**
 * @file
 *
 * This file contains function prototypes for the class operations
 * (static operations) of the
 * <code>DefaultIdentifierOperandNode</code> class.
 */

#ifndef INCLUSION_GUARD_DEFAULT_IDENTIFIER_OPERAND_NODE
#define INCLUSION_GUARD_DEFAULT_IDENTIFIER_OPERAND_NODE

#include <stdbool.h>
#include <wchar.h>
#include "Node.h"
#include "IdentifierOperandNode.h"

/**
 * Creates an instance of the <code>DefaultIdentifierOperandNode</code>
 * class.
 *
 * @param[in] character
 *   the identifier character of this node.
 * @param[out] ppResult
 *   a pointer to the variable which shall hold the instance of this
 *   class. Must not be <code>NULL</code>.
 * @return
 *   <code>true</code> if the operation completes successfully,
 *   <code>false</code> otherwise.
 */
bool DefaultIdentifierOperandNode_Create(wchar_t character,
                                         IdentifierOperandNode_t** ppResult);

#endif // INCLUSION_GUARD_DEFAULT_IDENTIFIER_OPERAND_NODE
