/**
 * @file
 *
 * This file contains function prototypes for the class operations
 * (static operations) of the <code>DefaultLiteralOperandNode</code>
 * class.
 */

#ifndef INCLUSION_GUARD_DEFAULT_LITERAL_OPERAND_NODE
#define INCLUSION_GUARD_DEFAULT_LITERAL_OPERAND_NODE

#include <stdbool.h>
#include "Node.h"
#include "LiteralOperandNode.h"

/**
 * Creates an instance of the <code>DefaultLiteralOperandNode</code>
 * class.
 *
 * @param[in] constant
 *   the constant of this node.
 * @param[out] ppResult
 *   a pointer to the variable which shall hold the instance of this
 *   class. Must not be <code>NULL</code>.
 * @return
 *   <code>true</code> if the operation completes successfully,
 *   <code>false</code> otherwise.
 */
bool DefaultLiteralOperandNode_Create(double constant,
                                      LiteralOperandNode_t** ppResult);

#endif // INCLUSION_GUARD_DEFAULT_LITERAL_OPERAND_NODE
