/**
 * Instances of this class represent identifier operands (such as "x"
 * in in "3 / x").
 */
final class DefaultIdentifierOperandNode implements IdentifierOperandNode {
  /**
   * The identifier character.
   */
  final char identifierCharacter;

  /**
   * Creates an instance of this node.
   *
   * @param identifierCharacter
   *   the identifier character of this node.
   */
  public DefaultIdentifierOperandNode(char identifierCharacter) {
    this.identifierCharacter = identifierCharacter;
  }

  /**
   * Returns the identifier character of this node.
   *
   * @return
   *   the identifier character of this node.
   */
  public char identifierCharacter() {
    return identifierCharacter;
  }

  public boolean isConstant() {
    return false;
  }
}
