/**
 * Instances of this class represent literal operands (such as "3" in
 * in "3 / x").
 */
final class DefaultLiteralOperandNode implements LiteralOperandNode {
  /**
   * The constant.
   */
  final double constant;

  /**
   * Creates an instance of this node.
   *
   * @param constant
   *   the constant of this node.
   */  
  public DefaultLiteralOperandNode(double constant) {
    this.constant = constant;
  }

  /**
   * Returns the constant of this node.
   *
   * @return
   *   the constant of this node.
   */
  public double constant() {
    return constant;
  }

  public boolean isConstant() {
    return true;
  }
}
