/**
 * This interface represents an identifier operand node in a syntax
 * tree representing an arithmetic expression. An identifier is either
 * a variable or a constant. An identifier operand holds an identifier
 * character (in the expression "3 / x", "x" is an identifier
 * character).
 */
public interface IdentifierOperandNode extends Node {
  /**
   * Returns the identifier character this node represents.
   *
   * @return
   *   the identifier character this node represents.
   */
  public char identifierCharacter();
}
