/**
 * This interface represents a literal operand node in a syntax tree
 * representing an arithmetic expression. A literal operand holds a
 * constant (in the expression "3 / x", 3 is a literal).
 */
public interface LiteralOperandNode extends Node {
  /**
   * Returns the constant of this node.
   *
   * @return
   *   the constant of this node.
   */
  public double constant();
}
