/**
 * This interface represents a unary operator node in a syntax tree
 * representing an arithmetic expression. A unary operator takes one
 * operand (in the expression "3 + -2", the negation operator operates
 * on the literal operand 2).
 */
public interface UnaryOperatorNode extends Node {
  /**
   * Returns the operator of this node.
   *
   * @return
   *   the operator of this node.
   */
  public UnaryOperator operator();

  /**
   * Returns the operand of this node.
   *
   * @return
   *   the operand of this node.
   */
  public Node operand();
}
